(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[48],{

/***/ 109:
/***/ (function(module, exports) {

module.exports = function escape(url) {
    if (typeof url !== 'string') {
        return url
    }
    // If url is already wrapped in quotes, remove them
    if (/^['"].*['"]$/.test(url)) {
        url = url.slice(1, -1);
    }
    // Should url be wrapped?
    // See https://drafts.csswg.org/css-values-3/#urls
    if (/["'() \t\n]/.test(url)) {
        return '"' + url.replace(/"/g, '\\"').replace(/\n/g, '\\n') + '"'
    }

    return url
}


/***/ }),

/***/ 17:
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),

/***/ 18:
/***/ (function(module, exports, __webpack_require__) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/

var stylesInDom = {};

var	memoize = function (fn) {
	var memo;

	return function () {
		if (typeof memo === "undefined") memo = fn.apply(this, arguments);
		return memo;
	};
};

var isOldIE = memoize(function () {
	// Test for IE <= 9 as proposed by Browserhacks
	// @see http://browserhacks.com/#hack-e71d8692f65334173fee715c222cb805
	// Tests for existence of standard globals is to allow style-loader
	// to operate correctly into non-standard environments
	// @see https://github.com/webpack-contrib/style-loader/issues/177
	return window && document && document.all && !window.atob;
});

var getElement = (function (fn) {
	var memo = {};

	return function(selector) {
		if (typeof memo[selector] === "undefined") {
			var styleTarget = fn.call(this, selector);
			// Special case to return head of iframe instead of iframe itself
			if (styleTarget instanceof window.HTMLIFrameElement) {
				try {
					// This will throw an exception if access to iframe is blocked
					// due to cross-origin restrictions
					styleTarget = styleTarget.contentDocument.head;
				} catch(e) {
					styleTarget = null;
				}
			}
			memo[selector] = styleTarget;
		}
		return memo[selector]
	};
})(function (target) {
	return document.querySelector(target)
});

var singleton = null;
var	singletonCounter = 0;
var	stylesInsertedAtTop = [];

var	fixUrls = __webpack_require__(42);

module.exports = function(list, options) {
	if (typeof DEBUG !== "undefined" && DEBUG) {
		if (typeof document !== "object") throw new Error("The style-loader cannot be used in a non-browser environment");
	}

	options = options || {};

	options.attrs = typeof options.attrs === "object" ? options.attrs : {};

	// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
	// tags it will allow on a page
	if (!options.singleton && typeof options.singleton !== "boolean") options.singleton = isOldIE();

	// By default, add <style> tags to the <head> element
	if (!options.insertInto) options.insertInto = "head";

	// By default, add <style> tags to the bottom of the target
	if (!options.insertAt) options.insertAt = "bottom";

	var styles = listToStyles(list, options);

	addStylesToDom(styles, options);

	return function update (newList) {
		var mayRemove = [];

		for (var i = 0; i < styles.length; i++) {
			var item = styles[i];
			var domStyle = stylesInDom[item.id];

			domStyle.refs--;
			mayRemove.push(domStyle);
		}

		if(newList) {
			var newStyles = listToStyles(newList, options);
			addStylesToDom(newStyles, options);
		}

		for (var i = 0; i < mayRemove.length; i++) {
			var domStyle = mayRemove[i];

			if(domStyle.refs === 0) {
				for (var j = 0; j < domStyle.parts.length; j++) domStyle.parts[j]();

				delete stylesInDom[domStyle.id];
			}
		}
	};
};

function addStylesToDom (styles, options) {
	for (var i = 0; i < styles.length; i++) {
		var item = styles[i];
		var domStyle = stylesInDom[item.id];

		if(domStyle) {
			domStyle.refs++;

			for(var j = 0; j < domStyle.parts.length; j++) {
				domStyle.parts[j](item.parts[j]);
			}

			for(; j < item.parts.length; j++) {
				domStyle.parts.push(addStyle(item.parts[j], options));
			}
		} else {
			var parts = [];

			for(var j = 0; j < item.parts.length; j++) {
				parts.push(addStyle(item.parts[j], options));
			}

			stylesInDom[item.id] = {id: item.id, refs: 1, parts: parts};
		}
	}
}

function listToStyles (list, options) {
	var styles = [];
	var newStyles = {};

	for (var i = 0; i < list.length; i++) {
		var item = list[i];
		var id = options.base ? item[0] + options.base : item[0];
		var css = item[1];
		var media = item[2];
		var sourceMap = item[3];
		var part = {css: css, media: media, sourceMap: sourceMap};

		if(!newStyles[id]) styles.push(newStyles[id] = {id: id, parts: [part]});
		else newStyles[id].parts.push(part);
	}

	return styles;
}

function insertStyleElement (options, style) {
	var target = getElement(options.insertInto)

	if (!target) {
		throw new Error("Couldn't find a style target. This probably means that the value for the 'insertInto' parameter is invalid.");
	}

	var lastStyleElementInsertedAtTop = stylesInsertedAtTop[stylesInsertedAtTop.length - 1];

	if (options.insertAt === "top") {
		if (!lastStyleElementInsertedAtTop) {
			target.insertBefore(style, target.firstChild);
		} else if (lastStyleElementInsertedAtTop.nextSibling) {
			target.insertBefore(style, lastStyleElementInsertedAtTop.nextSibling);
		} else {
			target.appendChild(style);
		}
		stylesInsertedAtTop.push(style);
	} else if (options.insertAt === "bottom") {
		target.appendChild(style);
	} else if (typeof options.insertAt === "object" && options.insertAt.before) {
		var nextSibling = getElement(options.insertInto + " " + options.insertAt.before);
		target.insertBefore(style, nextSibling);
	} else {
		throw new Error("[Style Loader]\n\n Invalid value for parameter 'insertAt' ('options.insertAt') found.\n Must be 'top', 'bottom', or Object.\n (https://github.com/webpack-contrib/style-loader#insertat)\n");
	}
}

function removeStyleElement (style) {
	if (style.parentNode === null) return false;
	style.parentNode.removeChild(style);

	var idx = stylesInsertedAtTop.indexOf(style);
	if(idx >= 0) {
		stylesInsertedAtTop.splice(idx, 1);
	}
}

function createStyleElement (options) {
	var style = document.createElement("style");

	options.attrs.type = "text/css";

	addAttrs(style, options.attrs);
	insertStyleElement(options, style);

	return style;
}

function createLinkElement (options) {
	var link = document.createElement("link");

	options.attrs.type = "text/css";
	options.attrs.rel = "stylesheet";

	addAttrs(link, options.attrs);
	insertStyleElement(options, link);

	return link;
}

function addAttrs (el, attrs) {
	Object.keys(attrs).forEach(function (key) {
		el.setAttribute(key, attrs[key]);
	});
}

function addStyle (obj, options) {
	var style, update, remove, result;

	// If a transform function was defined, run it on the css
	if (options.transform && obj.css) {
	    result = options.transform(obj.css);

	    if (result) {
	    	// If transform returns a value, use that instead of the original css.
	    	// This allows running runtime transformations on the css.
	    	obj.css = result;
	    } else {
	    	// If the transform function returns a falsy value, don't add this css.
	    	// This allows conditional loading of css
	    	return function() {
	    		// noop
	    	};
	    }
	}

	if (options.singleton) {
		var styleIndex = singletonCounter++;

		style = singleton || (singleton = createStyleElement(options));

		update = applyToSingletonTag.bind(null, style, styleIndex, false);
		remove = applyToSingletonTag.bind(null, style, styleIndex, true);

	} else if (
		obj.sourceMap &&
		typeof URL === "function" &&
		typeof URL.createObjectURL === "function" &&
		typeof URL.revokeObjectURL === "function" &&
		typeof Blob === "function" &&
		typeof btoa === "function"
	) {
		style = createLinkElement(options);
		update = updateLink.bind(null, style, options);
		remove = function () {
			removeStyleElement(style);

			if(style.href) URL.revokeObjectURL(style.href);
		};
	} else {
		style = createStyleElement(options);
		update = applyToTag.bind(null, style);
		remove = function () {
			removeStyleElement(style);
		};
	}

	update(obj);

	return function updateStyle (newObj) {
		if (newObj) {
			if (
				newObj.css === obj.css &&
				newObj.media === obj.media &&
				newObj.sourceMap === obj.sourceMap
			) {
				return;
			}

			update(obj = newObj);
		} else {
			remove();
		}
	};
}

var replaceText = (function () {
	var textStore = [];

	return function (index, replacement) {
		textStore[index] = replacement;

		return textStore.filter(Boolean).join('\n');
	};
})();

function applyToSingletonTag (style, index, remove, obj) {
	var css = remove ? "" : obj.css;

	if (style.styleSheet) {
		style.styleSheet.cssText = replaceText(index, css);
	} else {
		var cssNode = document.createTextNode(css);
		var childNodes = style.childNodes;

		if (childNodes[index]) style.removeChild(childNodes[index]);

		if (childNodes.length) {
			style.insertBefore(cssNode, childNodes[index]);
		} else {
			style.appendChild(cssNode);
		}
	}
}

function applyToTag (style, obj) {
	var css = obj.css;
	var media = obj.media;

	if(media) {
		style.setAttribute("media", media)
	}

	if(style.styleSheet) {
		style.styleSheet.cssText = css;
	} else {
		while(style.firstChild) {
			style.removeChild(style.firstChild);
		}

		style.appendChild(document.createTextNode(css));
	}
}

function updateLink (link, options, obj) {
	var css = obj.css;
	var sourceMap = obj.sourceMap;

	/*
		If convertToAbsoluteUrls isn't defined, but sourcemaps are enabled
		and there is no publicPath defined then lets turn convertToAbsoluteUrls
		on by default.  Otherwise default to the convertToAbsoluteUrls option
		directly
	*/
	var autoFixUrls = options.convertToAbsoluteUrls === undefined && sourceMap;

	if (options.convertToAbsoluteUrls || autoFixUrls) {
		css = fixUrls(css);
	}

	if (sourceMap) {
		// http://stackoverflow.com/a/26603875
		css += "\n/*# sourceMappingURL=data:application/json;base64," + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + " */";
	}

	var blob = new Blob([css], { type: "text/css" });

	var oldSrc = link.href;

	link.href = URL.createObjectURL(blob);

	if(oldSrc) URL.revokeObjectURL(oldSrc);
}


/***/ }),

/***/ 202:
/***/ (function(module, exports) {

module.exports = "\"data:image/svg+xml,%3C?xml version='1.0' encoding='utf-8'?%3E %3C!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E %3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 42.5 42.5' style='enable-background:new 0 0 42.5 42.5;' xml:space='preserve' width='42.5' height='42.5'%3E %3Cpath id='Pfeil_links_3_' d='M21.2,29.5c-0.2,0-0.5-0.1-0.7-0.3L7.3,16C7.1,15.8,7,15.6,7,15.4s0.1-0.5,0.3-0.7l1.4-1.4 C8.9,13.1,9.1,13,9.4,13c0.2,0,0.5,0.1,0.7,0.3l11.2,11.2l11.2-11.2c0.2-0.2,0.4-0.3,0.7-0.3s0.5,0.1,0.7,0.3l1.4,1.4 c0.2,0.2,0.3,0.4,0.3,0.7S35.2,15.8,35,16L21.8,29.2C21.6,29.4,21.4,29.5,21.2,29.5z'/%3E %3C/svg%3E\""

/***/ }),

/***/ 2238:
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(2239);
if(typeof content === 'string') content = [[module.i, content, '']];
// Prepare cssTransformation
var transform;

var options = {"hmr":true}
options.transform = transform
// add the styles to the DOM
var update = __webpack_require__(18)(content, options);
if(content.locals) module.exports = content.locals;
// Hot Module Replacement
if(false) {}

/***/ }),

/***/ 2239:
/***/ (function(module, exports, __webpack_require__) {

var escape = __webpack_require__(109);
exports = module.exports = __webpack_require__(17)(false);
// imports


// module
exports.push([module.i, ".UserManualIconCls {\n    background-image: url(" + escape(__webpack_require__(727)) + ") !important;\n}\n.usermanual-action-debug {\n    background-image:url(" + escape(__webpack_require__(727)) + ") !important;\n}\n.usermanual-action-go-next {\n    background-image:url(" + escape(__webpack_require__(2240)) + ") !important;\n}\n.usermanual-action-go-previous {\n    background-image:url(" + escape(__webpack_require__(2241)) + ") !important;\n}\n.usermanual-action-go-up {\n    background-image:url(" + escape(__webpack_require__(589)) + ") !important;\n}\n.usermanual-action-go-down {\n    background-image:url(" + escape(__webpack_require__(202)) + ") !important;\n}\n.usermanual-action-go-home {\n    background-image:url(" + escape(__webpack_require__(608)) + ") !important;\n}", ""]);

// exports


/***/ }),

/***/ 2240:
/***/ (function(module, exports) {

module.exports = "\"data:image/svg+xml,%3C?xml version='1.0' encoding='utf-8'?%3E %3C!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E %3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 42.5 42.5' style='enable-background:new 0 0 42.5 42.5;' xml:space='preserve' width='42.5' height='42.5'%3E %3Cpath d='M26.2,21.8L13,35.1c-0.2,0.2-0.4,0.3-0.7,0.3s-0.5-0.1-0.7-0.3l-1.4-1.4C10.1,33.4,10,33.2,10,33c0-0.2,0.1-0.5,0.3-0.7 l11.2-11.2L10.3,10C10.1,9.8,10,9.6,10,9.4c0-0.2,0.1-0.5,0.3-0.7l1.4-1.4C11.9,7.1,12.1,7,12.4,7s0.5,0.1,0.7,0.3l13.2,13.2 c0.2,0.2,0.3,0.4,0.3,0.7C26.5,21.4,26.4,21.6,26.2,21.8z M32.3,35.1c0.2-0.2,0.3-0.4,0.3-0.7v-3.1V7.9c0-0.3-0.1-0.5-0.3-0.7 C32.2,7.1,31.9,7,31.7,7h-2c-0.3,0-0.5,0.1-0.7,0.3c-0.2,0.2-0.3,0.4-0.3,0.7v23.6l0,2.9c0,0.3,0.1,0.5,0.3,0.7 c0.2,0.2,0.4,0.3,0.7,0.3h2C31.9,35.3,32.2,35.2,32.3,35.1z'/%3E %3C/svg%3E\""

/***/ }),

/***/ 2241:
/***/ (function(module, exports) {

module.exports = "\"data:image/svg+xml,%3C?xml version='1.0' encoding='utf-8'?%3E %3C!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E %3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 42.5 42.5' style='enable-background:new 0 0 42.5 42.5;' xml:space='preserve' width='42.5' height='42.5'%3E %3Cpath d='M16.4,20.5L29.6,7.3C29.8,7.1,30,7,30.2,7c0.2,0,0.5,0.1,0.7,0.3l1.4,1.4c0.2,0.2,0.3,0.4,0.3,0.7s-0.1,0.5-0.3,0.7 L21.2,21.2l11.2,11.2c0.2,0.2,0.3,0.4,0.3,0.7s-0.1,0.5-0.3,0.7L30.9,35c-0.2,0.2-0.4,0.3-0.7,0.3c-0.2,0-0.5-0.1-0.7-0.3L16.4,21.8 c-0.2-0.2-0.3-0.4-0.3-0.7C16.1,20.9,16.2,20.7,16.4,20.5z M10.3,7.3C10.1,7.4,10,7.7,10,7.9V11v23.4c0,0.3,0.1,0.5,0.3,0.7 c0.2,0.2,0.4,0.3,0.7,0.3h2c0.3,0,0.5-0.1,0.7-0.3c0.2-0.2,0.3-0.4,0.3-0.7V10.9l0-2.9c0-0.3-0.1-0.5-0.3-0.7 C13.4,7.1,13.2,7,12.9,7h-2C10.7,7,10.4,7.1,10.3,7.3z'/%3E %3C/svg%3E\""

/***/ }),

/***/ 2242:
/***/ (function(module, exports) {

/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiss <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2017 Metaways Infosystems GmbH (http://www.metaways.de)
 *
 */
Ext.ns('Tine.UserManual');
Tine.UserManual.Application = Ext.extend(Tine.Tinebase.Application, {
  hasMainScreen: false
});

/***/ }),

/***/ 2243:
/***/ (function(module, exports) {

/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiss <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2017 Metaways Infosystems GmbH (http://www.metaways.de)
 *
 */
Ext.ns('Tine.UserManual');

Tine.UserManual.ContextItem = function (config) {
  return new Ext.Action({
    hidden: !Tine.UserManual.registry,
    text: String.format(i18n._('Help')),
    iconCls: 'UserManualIconCls',
    handler: function handler() {
      Tine.UserManual.UserManualDialog.openWindow({
        context: Tine.Tinebase.CanonicalPath.getPath(this.context)
      });
    },
    scope: this,
    listeners: {
      scope: this,
      // NOTE: we need to make sure to have the context when the menu was opened
      //       as the context menu might be constructed before the context click.
      // NOTE: maybe this fails, as between construction and rendering might be
      //       mouse move events? - in this case let's implement a getLastContext()
      //       based on on Ext.EventManager
      render: function render(cmp) {
        this.context = Tine.Tinebase.MainContextMenu.getCmp(Ext.EventObject);
      }
    }
  });
};

Ext.ux.ItemRegistry.registerItem('Tinebase-MainContextMenu', Ext.menu.Separator, 10000);
Ext.ux.ItemRegistry.registerItem('Tinebase-MainContextMenu', Tine.UserManual.ContextItem, 10100);

Tine.UserManual.DebugItem = function (config) {
  return new Ext.Action({
    hidden: !Tine.Tinebase.registry || Tine.Tinebase.registry.get('version')['buildType'] != 'DEVELOPMENT',
    text: String.format(i18n._('Show Canonical Path')),
    iconCls: 'usermanual-action-debug',
    handler: function handler() {
      Ext.MessageBox.show({
        title: i18n._('Canonical Path'),
        msg: Tine.Tinebase.CanonicalPath.getPath(this.context),
        icon: Ext.MessageBox.INFO,
        buttons: Ext.Msg.OK
      });
    },
    scope: this,
    listeners: {
      scope: this,
      // NOTE: we need to make sure to have the context when the menu was opened
      //       as the context menu might be constructed before the context click.
      // NOTE: maybe this fails, as between construction and rendering might be
      //       mouse move events? - in this case let's implement a getLastContext()
      //       based on on Ext.EventManager
      render: function render(cmp) {
        this.context = Tine.Tinebase.MainContextMenu.getCmp(Ext.EventObject);
      }
    }
  });
};

Ext.ux.ItemRegistry.registerItem('Tinebase-MainContextMenu', Tine.UserManual.DebugItem, 10200);

/***/ }),

/***/ 2244:
/***/ (function(module, exports) {

/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiss <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2017 Metaways Infosystems GmbH (http://www.metaways.de)
 *
 */
Ext.ns('Tine.UserManual');
Tine.UserManual.UserManualDialog = Ext.extend(Ext.FormPanel, {
  /**
   * @cfg {String} initial context for context sensitive help
   */
  context: '',
  // private
  bodyStyle: 'padding:5px',
  layout: 'fit',
  border: false,
  cls: 'tw-editdialog',
  anchor: '100% 100%',
  deferredRender: false,
  buttonAlign: null,
  bufferResize: 500,
  windowNamePrefix: 'tine20-usermanual-usermanualdialog',
  initComponent: function initComponent() {
    this.app = Tine.Tinebase.appMgr.get('UserManual');
    this.i18n = this.app.i18n;
    this.tbar = [{
      direction: 'p',
      disabled: true,
      overflowText: this.app.i18n._('Previous'),
      minWidth: 30,
      handler: this.onNavigate.createDelegate(this, ['p']),
      iconCls: 'usermanual-action-go-previous'
    }, {
      direction: 'n',
      disabled: true,
      overflowText: this.app.i18n._('Next'),
      minWidth: 30,
      handler: this.onNavigate.createDelegate(this, ['n']),
      iconCls: 'usermanual-action-go-next'
    }, '-', {
      direction: 'u',
      disabled: true,
      overflowText: this.app.i18n._('Up'),
      minWidth: 30,
      handler: this.onNavigate.createDelegate(this, ['u']),
      iconCls: 'usermanual-action-go-up'
    }, '-', {
      direction: 'h',
      overflowText: this.app.i18n._('Go to Index'),
      minWidth: 30,
      handler: this.onNavigate.createDelegate(this, ['t']),
      iconCls: 'usermanual-action-go-home'
    }, '-', {
      ref: '../searchField',
      xtype: 'tinerecordpickercombobox',
      triggerClass: 'x-form-search-trigger',
      recordClass: Tine.UserManual.Model.ManualPage,
      recordProxy: Tine.UserManual.manualpageBackend,
      width: 300,
      emptyText: this.app.i18n._('Search in User Manual'),
      listeners: {
        scope: this,
        select: this.onSearchSelect
      }
    }];
    this.fbar = ['->', {
      text: this.app.i18n._('Close'),
      minWidth: 70,
      handler: this.onClose.createDelegate(this),
      iconCls: 'action_cancel'
    }];
    this.items = [{
      ref: 'manualFrame',
      afterRender: this.onManualWindowRender.createDelegate(this),
      autoEl: {
        tag: 'iframe',
        style: 'width: 100%; height: 100%;'
      }
    }];
    this.supr().initComponent.call(this);
  },
  getUserManualUrl: function getUserManualUrl() {
    return Tine.Tinebase.common.getUrl() + 'index.php?method=UserManual.get&file=';
  },
  onSearchSelect: function onSearchSelect(field, record, index) {
    if (!record) {} else {
      var frameEl = this.manualFrame.el.dom;
      frameEl.src = this.getUserManualUrl() + record.get('file');
    }
  },

  /**
   * iframe is ready
   */
  onManualWindowRender: function onManualWindowRender() {
    var frameEl = this.manualFrame.el.dom,
        manualUrl = this.getUserManualUrl();
    this.loadMask = new Ext.LoadMask(this.getEl(), {
      msg: this.app.i18n._('Loading Manual Page...')
    });
    this.loadMask.show();
    frameEl.addEventListener("load", this.onManualWindowLoad.createDelegate(this));

    if (this.context) {
      manualUrl = manualUrl.replace(/&file=$/, 'Context&context=') + encodeURIComponent(this.context);
    }

    frameEl.src = manualUrl;
  },

  /**
   * on iframe attr change
   */
  onManualWindowBeforeUnLoad: function onManualWindowBeforeUnLoad() {
    this.loadMask.show();
  },

  /**
   * document got loaded into iframe
   */
  onManualWindowLoad: function onManualWindowLoad() {
    var win = this.getManualWindow(),
        doc = win.document,
        title = doc.getElementsByTagName('title')[0],
        navheader = doc.getElementsByClassName('navheader')[0],
        navfooter = doc.getElementsByClassName('navfooter')[0],
        anchors = navfooter ? navfooter.getElementsByTagName('a') : [],
        initialAnchor = doc.querySelector('meta[name=initial_anchor]');
    win.addEventListener("beforeunload", this.onManualWindowBeforeUnLoad.createDelegate(this));
    this.window.setTitle(this.app.i18n._(title ? title.innerText : this.app.getTitle())); // hide default nav

    if (navheader && navfooter) {
      navheader.style.display = 'none';
      navfooter.style.display = 'none';
    } // find navigation links


    this.navigationLinks = {};
    Ext.each(anchors, function (a) {
      this.navigationLinks[a.accessKey] = a.href;
    }, this); // update navigationButtons

    this.getTopToolbar().items.each(function (item) {
      if (item.direction) {
        item.setDisabled(!this.navigationLinks.hasOwnProperty(item.direction));
      }
    }, this); // jump to initial anchor

    if (initialAnchor) {
      win.location.href = win.location.href + '#' + initialAnchor.content;
    }

    this.loadMask.hide();
  },

  /**
   * private
   */
  getManualWindow: function getManualWindow() {
    return this.manualFrame.el.dom.contentWindow;
  },

  /**
   * @private
   */
  onNavigate: function onNavigate(direction) {
    var frameEl = this.manualFrame.el.dom;
    frameEl.src = this.navigationLinks[direction];
  },

  /**
   * @private
   */
  onClose: function onClose() {
    this.fireEvent('close');
    this.purgeListeners();
    this.window.close();
  }
});
/**
 * Opens a new user manual dialog window
 *
 * @return {Ext.ux.Window}
 */

Tine.UserManual.UserManualDialog.openWindow = function (config) {
  var window = Tine.WindowFactory.getWindow({
    width: 600,
    height: 800,
    name: Tine.UserManual.UserManualDialog.prototype.windowNamePrefix,
    contentPanelConstructor: 'Tine.UserManual.UserManualDialog',
    contentPanelConstructorConfig: config || {}
  });
  return window;
};

/***/ }),

/***/ 2245:
/***/ (function(module, exports) {

/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiss <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2017 Metaways Infosystems GmbH (http://www.metaways.de)
 *
 */
Ext.ns('Tine.UserManual');

Tine.UserManual.UserManualAction = function (config) {
  return new Ext.Action({
    text: String.format(i18n._('User Manual')),
    iconCls: 'UserManualIconCls',
    handler: function handler() {
      Tine.UserManual.UserManualDialog.openWindow({});
    },
    scope: this
  });
};

Ext.ux.ItemRegistry.registerItem('Tine.Tinebase.MainMenu', Tine.UserManual.UserManualAction, 30);
Ext.ux.ItemRegistry.registerItem('Tine.Tinebase.AppMenu.Additionals', Tine.UserManual.UserManualAction, 15);

/***/ }),

/***/ 42:
/***/ (function(module, exports) {


/**
 * When source maps are enabled, `style-loader` uses a link element with a data-uri to
 * embed the css on the page. This breaks all relative urls because now they are relative to a
 * bundle instead of the current page.
 *
 * One solution is to only use full urls, but that may be impossible.
 *
 * Instead, this function "fixes" the relative urls to be absolute according to the current page location.
 *
 * A rudimentary test suite is located at `test/fixUrls.js` and can be run via the `npm test` command.
 *
 */

module.exports = function (css) {
  // get current location
  var location = typeof window !== "undefined" && window.location;

  if (!location) {
    throw new Error("fixUrls requires window.location");
  }

	// blank or null?
	if (!css || typeof css !== "string") {
	  return css;
  }

  var baseUrl = location.protocol + "//" + location.host;
  var currentDir = baseUrl + location.pathname.replace(/\/[^\/]*$/, "/");

	// convert each url(...)
	/*
	This regular expression is just a way to recursively match brackets within
	a string.

	 /url\s*\(  = Match on the word "url" with any whitespace after it and then a parens
	   (  = Start a capturing group
	     (?:  = Start a non-capturing group
	         [^)(]  = Match anything that isn't a parentheses
	         |  = OR
	         \(  = Match a start parentheses
	             (?:  = Start another non-capturing groups
	                 [^)(]+  = Match anything that isn't a parentheses
	                 |  = OR
	                 \(  = Match a start parentheses
	                     [^)(]*  = Match anything that isn't a parentheses
	                 \)  = Match a end parentheses
	             )  = End Group
              *\) = Match anything and then a close parens
          )  = Close non-capturing group
          *  = Match anything
       )  = Close capturing group
	 \)  = Match a close parens

	 /gi  = Get all matches, not the first.  Be case insensitive.
	 */
	var fixedCss = css.replace(/url\s*\(((?:[^)(]|\((?:[^)(]+|\([^)(]*\))*\))*)\)/gi, function(fullMatch, origUrl) {
		// strip quotes (if they exist)
		var unquotedOrigUrl = origUrl
			.trim()
			.replace(/^"(.*)"$/, function(o, $1){ return $1; })
			.replace(/^'(.*)'$/, function(o, $1){ return $1; });

		// already a full url? no change
		if (/^(#|data:|http:\/\/|https:\/\/|file:\/\/\/)/i.test(unquotedOrigUrl)) {
		  return fullMatch;
		}

		// convert the url to a full url
		var newUrl;

		if (unquotedOrigUrl.indexOf("//") === 0) {
		  	//TODO: should we add protocol?
			newUrl = unquotedOrigUrl;
		} else if (unquotedOrigUrl.indexOf("/") === 0) {
			// path should be relative to the base url
			newUrl = baseUrl + unquotedOrigUrl; // already starts with '/'
		} else {
			// path should be relative to current directory
			newUrl = currentDir + unquotedOrigUrl.replace(/^\.\//, ""); // Strip leading './'
		}

		// send back the fixed url(...)
		return "url(" + JSON.stringify(newUrl) + ")";
	});

	// send back the fixed css
	return fixedCss;
};


/***/ }),

/***/ 589:
/***/ (function(module, exports) {

module.exports = "\"data:image/svg+xml,%3C?xml version='1.0' encoding='utf-8'?%3E %3C!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E %3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 42.5 42.5' style='enable-background:new 0 0 42.5 42.5;' xml:space='preserve' width='42.5' height='42.5'%3E %3Cpath id='Pfeil_links_2_' d='M21.2,13c-0.2,0-0.5,0.1-0.7,0.3L7.3,26.5C7.1,26.7,7,26.9,7,27.2c0,0.2,0.1,0.5,0.3,0.7l1.4,1.4 c0.2,0.2,0.4,0.3,0.7,0.3c0.2,0,0.5-0.1,0.7-0.3l11.2-11.2l11.2,11.2c0.2,0.2,0.4,0.3,0.7,0.3s0.5-0.1,0.7-0.3l1.4-1.4 c0.2-0.2,0.3-0.4,0.3-0.7c0-0.2-0.1-0.5-0.3-0.7L21.8,13.3C21.6,13.1,21.4,13,21.2,13z'/%3E %3C/svg%3E\""

/***/ }),

/***/ 608:
/***/ (function(module, exports) {

module.exports = "\"data:image/svg+xml,%3C?xml version='1.0' encoding='utf-8'?%3E %3C!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E %3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 42.5 42.5' style='enable-background:new 0 0 42.5 42.5;' xml:space='preserve' width='42.5' height='42.5'%3E %3Cpath d='M33.5,23.3v10.6c0,0.4-0.1,0.7-0.4,1c-0.3,0.3-0.6,0.4-1,0.4h-8.5v-8.5H18v8.5H9.5c-0.4,0-0.7-0.1-1-0.4 c-0.3-0.3-0.4-0.6-0.4-1V23.3c0,0,0,0,0-0.1c0,0,0-0.1,0-0.1l12.7-10.5l12.7,10.5C33.5,23.2,33.5,23.3,33.5,23.3z M38.5,21.8 l-1.4,1.6c-0.1,0.1-0.3,0.2-0.5,0.2h-0.1c-0.2,0-0.3-0.1-0.5-0.2L20.8,10.8L5.5,23.5c-0.2,0.1-0.4,0.2-0.5,0.2 c-0.2,0-0.3-0.1-0.5-0.2l-1.4-1.6C3,21.7,3,21.5,3,21.3c0-0.2,0.1-0.4,0.2-0.5L19.1,7.6c0.5-0.4,1-0.6,1.7-0.6s1.2,0.2,1.7,0.6 l5.4,4.5V7.8c0-0.2,0.1-0.4,0.2-0.5c0.1-0.1,0.3-0.2,0.5-0.2h4.2c0.2,0,0.4,0.1,0.5,0.2c0.1,0.1,0.2,0.3,0.2,0.5v9l4.8,4 c0.1,0.1,0.2,0.3,0.2,0.5S38.6,21.7,38.5,21.8z'/%3E %3C/svg%3E\""

/***/ }),

/***/ 71:
/***/ (function(module, exports, __webpack_require__) {

/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiss <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2017 Metaways Infosystems GmbH (http://www.metaways.de)
 *
 */
// styles
__webpack_require__(2238);

__webpack_require__(2242);

__webpack_require__(2243);

__webpack_require__(2244);

__webpack_require__(2245);

/***/ }),

/***/ 727:
/***/ (function(module, exports) {

module.exports = "\"data:image/svg+xml,%3C?xml version='1.0' encoding='utf-8'?%3E %3C!-- Generator: Adobe Illustrator 21.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E %3Csvg version='1.1' id='Ebene_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 42.5 42.5' style='enable-background:new 0 0 42.5 42.5;' xml:space='preserve' width='42.5' height='42.5'%3E %3Cpath d='M36.3,13.5c0.5,0.7,0.6,1.5,0.3,2.4l-5.1,16.7c-0.2,0.8-0.7,1.4-1.4,2c-0.7,0.5-1.5,0.8-2.3,0.8h-17c-0.9,0-1.9-0.3-2.7-1 c-0.9-0.7-1.5-1.5-1.8-2.4c-0.3-0.8-0.3-1.6,0-2.3c0,0,0-0.2,0.1-0.5c0-0.3,0.1-0.5,0.1-0.7c0-0.1,0-0.2-0.1-0.4 c0-0.2-0.1-0.3-0.1-0.4c0-0.1,0.1-0.3,0.1-0.4c0.1-0.1,0.2-0.3,0.3-0.4c0.1-0.2,0.2-0.3,0.3-0.4c0.3-0.5,0.6-1,0.8-1.7 C8.1,24,8.3,23.5,8.4,23c0-0.1,0-0.3,0-0.6s0-0.4,0-0.5c0-0.1,0.1-0.3,0.3-0.5C8.8,21.2,8.9,21.1,9,21c0.3-0.4,0.5-1,0.8-1.7 c0.3-0.7,0.4-1.2,0.5-1.7c0-0.1,0-0.3,0-0.6s0-0.5,0-0.5c0-0.2,0.2-0.3,0.4-0.6c0.2-0.2,0.4-0.4,0.4-0.4c0.2-0.3,0.5-0.8,0.8-1.6 c0.3-0.7,0.5-1.3,0.5-1.8c0-0.1,0-0.3-0.1-0.5c0-0.2-0.1-0.4,0-0.5c0-0.1,0.1-0.2,0.2-0.3c0.1-0.1,0.2-0.3,0.3-0.4s0.2-0.3,0.3-0.4 c0.1-0.1,0.2-0.3,0.3-0.6c0.1-0.2,0.2-0.4,0.3-0.6s0.2-0.4,0.3-0.7C14,8,14.1,7.8,14.2,7.7c0.1-0.2,0.3-0.3,0.5-0.4S15.2,7,15.4,7 c0.2,0,0.5,0,0.9,0.1l0,0.1C16.7,7.1,17,7,17.2,7h14c0.9,0,1.6,0.3,2.1,1s0.6,1.5,0.3,2.4l-5.1,16.7c-0.4,1.5-0.9,2.4-1.3,2.8 c-0.4,0.4-1.2,0.6-2.4,0.6h-16c-0.3,0-0.6,0.1-0.7,0.3c-0.1,0.2-0.1,0.5,0,0.8c0.3,0.9,1.2,1.3,2.7,1.3h17c0.4,0,0.7-0.1,1-0.3 c0.3-0.2,0.5-0.4,0.6-0.8l5.5-18.2c0.1-0.3,0.1-0.6,0.1-1.1C35.6,12.9,36,13.1,36.3,13.5z M16.6,13.5c0,0.2,0,0.3,0,0.4 c0.1,0.1,0.2,0.2,0.4,0.2h11.2c0.2,0,0.3-0.1,0.5-0.2c0.2-0.1,0.3-0.3,0.3-0.4l0.4-1.2c0-0.2,0-0.3,0-0.4c-0.1-0.1-0.2-0.2-0.4-0.2 H17.8c-0.2,0-0.3,0.1-0.5,0.2c-0.2,0.1-0.3,0.3-0.3,0.4L16.6,13.5z M15.1,18.2c0,0.2,0,0.3,0,0.4c0.1,0.1,0.2,0.2,0.4,0.2h11.2 c0.2,0,0.3-0.1,0.5-0.2c0.2-0.1,0.3-0.3,0.3-0.4l0.4-1.2c0-0.2,0-0.3,0-0.4c-0.1-0.1-0.2-0.2-0.4-0.2H16.3c-0.2,0-0.3,0.1-0.5,0.2 c-0.2,0.1-0.3,0.3-0.3,0.4L15.1,18.2z'/%3E %3C/svg%3E\""

/***/ })

}]);